org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class LoopsStep<S>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapStep<S,E>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ScalarMapStep<S,Integer>
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.LoopsStep<S>

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<Integer>>, Step<S,Integer>

      public final class LoopsStep<S>
      extends ScalarMapStep<S,Integer>

  Author:
    Daniel Kuppitz (http://gremlin.guru)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoopsStep(Traversal.Admin traversal, String loopName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `protected Integer` | `map(Traverser.Admin<S> traverser)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ScalarMapStep

      `processNextStart`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### LoopsStep

          public LoopsStep(Traversal.Admin traversal,
                           String loopName)

  - ### Method Detail

    - #### map

          protected Integer map(Traverser.Admin<S> traverser)

      Specified by:
        `map` in class `ScalarMapStep<S,Integer>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AbstractStep<S,Integer>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractStep<S,Integer>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.